# Summary

[Introduction](./index.md)

# Features
- [Adding the Router to Your Application](./features/index.md)
- [Defining Routes](./features/routes/index.md)
  - [Nested Routes](./features/routes/nested.md)
  - [Catch All Routes](./features/routes/catch_all.md)
  - [Matching Routes](./features/routes/matching.md)
  - [Fallback Routes (404 page)](./features/routes/fallback.md)
  - [Multiple Components & Redirects](./features/routes/multiple-and-redirect.md)
- [Outlets](./features/outlets.md)
- [Links & Navigation](./features/navigation/index.md)
  - [Named Navigation](./features/navigation/name.md)
  - [External Navigation](./features/navigation/external.md)
  - [Programmatic Navigation](./features/navigation/programmatic.md)
- [Query](./features/query.md)
- [Navigation Failures](./features/failures/index.md)
  - [Named Navigation Failure](./features/failures/named.md)
  - [External Navigation Failure](./features/failures/external.md)
  - [Redirection Limit Failure](./features/failures/redirection-limit.md)
- [History Providers](./features/history-providers.md)
- [History Buttons](./features/history-buttons.md)
- [Sitemap Generation](./features/sitemap-generation.md)
- [Routing Update Callback](./features/routing-update-callback.md)

# Example Project
- [Overview](./example/index.md)
- [Creating Our First Route](./example/first-route.md)
- [Building a Nest](./example/building-a-nest.md)
- [Navigation Targets](./example/navigation-targets.md)
- [Redirection Perfection](./example/redirection-perfection.md)
- [Full Code](./example/full-code.md)
